Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.krb5
Class KerberosTokenConfig

    java.lang.Object
      com.ibm.security.krb5.KerberosTokenConfig

    public class KerberosTokenConfig

extends java.lang.Object

This Class contains all valid input parameters needed by the KeberosTokenconsumer and KerberosTokenGenerator classes.

Field Summary
`static java.lang.String` | `BASE64_TOKEN` The Base64 encoded byte array that includes the AP_REQ or JGSS Token
`static java.lang.String` | `CLIENT_NAME` The CLIENT or TARGET Kerberos Principal name in this format "clientName/hostname" or just "clientName"
`static java.lang.String` | `CLIENTLOGINCONF` The JAAS Config file used with the initiator's Krb5LoginModule information
`static java.lang.String` | `CLIENTPASSWORD` The Clients Password used with the Krb5LoginModule
`static java.lang.String` | `CONTEXT_APREQ_TOKEN` The byte array of the AP_REQ Token.
`static java.lang.String` | `CONTEXT_APREQ_TOKEN_TYPE` The class type of the CONTEXT_APREQ_TOKEN.
`static java.lang.String` | `CONTEXT_GSS_TOKEN` The byte array of the GSS Token.
`static java.lang.String` | `CONTEXT_GSS_TOKEN_TYPE` The class type of the CONTEXT_GSS_TOKEN.
`static java.lang.String` | `CONTEXT_KRB_SERVICE_KEY` Kerberos Key of the Service's Key
`static java.lang.String` | `CONTEXT_KRB_SERVICE_KEY_TYPE` The class type of the CONTEXT_KRB_SERVICE_KEY.
`static java.lang.String` | `CONTEXT_SESSION_KEY_BYTES` Byte Array of the Session Key
`static java.lang.String` | `CONTEXT_SESSION_KEY_BYTES_TYPE` The class type of the CONTEXT_SESSION_KEY_BYTES.
`static java.lang.String` | `CONTEXT_SESSION_KEY_ENC` Integer value of the Session Key Encryption Algorithm
`static java.lang.String` | `CONTEXT_SESSION_KEY_ENC_TYPE` The class type of the CONTEXT_SESSION_KEY_ENC.
`static java.lang.String` | `CONTEXT_SUB_KEY_BYTES` Byte Array of the Sub Session Key
`static java.lang.String` | `CONTEXT_SUB_KEY_BYTES_TYPE` The class type of the CONTEXT_SUB_KEY_BYTES.
`static java.lang.String` | `CONTEXT_SUB_KEY_ENC` Integer value of the Sub Session Key Encryption Algorithm
`static java.lang.String` | `CONTEXT_SUB_KEY_ENC_TYPE` The class type of the CONTEXT_SUB_KEY_ENC.
`static java.lang.String` | `CONTEXT_SUBJECT` The Context's JAAS Subject
`static java.lang.String` | `CONTEXT_SUBJECT_TYPE` The class type of the CONTEXT_SUBJECT.
`static java.lang.String` | `CONTEXT_WRAPPED` Integer that states if the context was wrapped or not.
`static java.lang.String` | `CONTEXT_WRAPPED_TYPE` The class type of the CONTEXT_WRAPPED.
`static java.lang.String` | `DECODED_TOKEN` The decoded AP_REQ or JGSS Token byte array
`static java.lang.String` | `ENCODING` The JVM encoding scheme used with the string inputs.
`static java.lang.String` | `LOGINCONF` The File URL of the JAAS Login Config file
`static java.lang.String` | `REALM_NAME` The Kerberos REALM NAME
`static java.lang.String` | `SERVICE_KEYTAB` The optional Kerberos KEYTAB that contains the SERVICE credentials.
`static java.lang.String` | `SERVICE_NAME` The Kerberos SERVICE principal name in this format "servicelName/hostname" or "serviceName"
`static java.lang.String` | `SERVICEPASSWORD` The Servers password used with the Krb5LoginModule
`static java.lang.String` | `STRING_TOKEN` The Base64 encoded "String" of the AP_REQ or JGSS Token
`static java.lang.String` | `SUBJECT` The JAAS Subject that will be used to gain or populate the Client/Server credentials and TGT's.
`static java.lang.String` | `WRAPPED` The boolean option to state if the Token is and AP_REq(False) or a JGSS Wrapped Token(True).

Constructor Summary
`KerberosTokenConfig()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REALM_NAME

    public static final java.lang.String REALM_NAME

  The Kerberos REALM NAME

  See Also:
    Constant Field Values

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  The Kerberos SERVICE principal name in this format "servicelName/hostname" or "serviceName"

  See Also:
    Constant Field Values

### CLIENT_NAME

    public static final java.lang.String CLIENT_NAME

  The CLIENT or TARGET Kerberos Principal name in this format "clientName/hostname" or just "clientName"

  See Also:
    Constant Field Values

### SERVICE_KEYTAB

    public static final java.lang.String SERVICE_KEYTAB

  The optional Kerberos KEYTAB that contains the SERVICE credentials. If this is not set and JAAS is not being used, the DEFAULT_KEYTAB from krb5.conf will be used.

  See Also:
    Constant Field Values

### SUBJECT

    public static final java.lang.String SUBJECT

  The JAAS Subject that will be used to gain or populate the Client/Server credentials and TGT's.

  See Also:
    Constant Field Values

### BASE64_TOKEN

    public static final java.lang.String BASE64_TOKEN

  The Base64 encoded byte array that includes the AP_REQ or JGSS Token

  See Also:
    Constant Field Values

### DECODED_TOKEN

    public static final java.lang.String DECODED_TOKEN

  The decoded AP_REQ or JGSS Token byte array

  See Also:
    Constant Field Values

### STRING_TOKEN

    public static final java.lang.String STRING_TOKEN

  The Base64 encoded "String" of the AP_REQ or JGSS Token

  See Also:
    Constant Field Values

### WRAPPED

    public static final java.lang.String WRAPPED

  The boolean option to state if the Token is and AP_REq(False) or a JGSS Wrapped Token(True). False is the default

  See Also:
    Constant Field Values

### LOGINCONF

    public static final java.lang.String LOGINCONF

  The File URL of the JAAS Login Config file

  See Also:
    Constant Field Values

### SERVICEPASSWORD

    public static final java.lang.String SERVICEPASSWORD

  The Servers password used with the Krb5LoginModule

  See Also:
    Constant Field Values

### CLIENTPASSWORD

    public static final java.lang.String CLIENTPASSWORD

  The Clients Password used with the Krb5LoginModule

  See Also:
    Constant Field Values

### CLIENTLOGINCONF

    public static final java.lang.String CLIENTLOGINCONF

  The JAAS Config file used with the initiator's Krb5LoginModule information

  See Also:
    Constant Field Values

### ENCODING

    public static final java.lang.String ENCODING

  The JVM encoding scheme used with the string inputs. UTF-8 is the default

  See Also:
    Constant Field Values

### CONTEXT_WRAPPED

    public static final java.lang.String CONTEXT_WRAPPED

  Integer that states if the context was wrapped or not. 1=Wrapped 0=Not Wrapped

  See Also:
    Constant Field Values

### CONTEXT_WRAPPED_TYPE

    public static final java.lang.String CONTEXT_WRAPPED_TYPE

  The class type of the CONTEXT_WRAPPED. Must be an instance of Integer

  See Also:
    Constant Field Values

### CONTEXT_SESSION_KEY_BYTES

    public static final java.lang.String CONTEXT_SESSION_KEY_BYTES

  Byte Array of the Session Key

  See Also:
    Constant Field Values

### CONTEXT_SESSION_KEY_BYTES_TYPE

    public static final java.lang.String CONTEXT_SESSION_KEY_BYTES_TYPE

  The class type of the CONTEXT_SESSION_KEY_BYTES. Must be instance of byte[]

  See Also:
    Constant Field Values

### CONTEXT_SUB_KEY_BYTES

    public static final java.lang.String CONTEXT_SUB_KEY_BYTES

  Byte Array of the Sub Session Key

  See Also:
    Constant Field Values

### CONTEXT_SUB_KEY_BYTES_TYPE

    public static final java.lang.String CONTEXT_SUB_KEY_BYTES_TYPE

  The class type of the CONTEXT_SUB_KEY_BYTES. Must be instance of byte[]

  See Also:
    Constant Field Values

### CONTEXT_KRB_SERVICE_KEY

    public static final java.lang.String CONTEXT_KRB_SERVICE_KEY

  Kerberos Key of the Service's Key

  See Also:
    Constant Field Values

### CONTEXT_KRB_SERVICE_KEY_TYPE

    public static final java.lang.String CONTEXT_KRB_SERVICE_KEY_TYPE

  The class type of the CONTEXT_KRB_SERVICE_KEY. Must be instance of javax.security.auth.kerberos.KerberosKey

  See Also:
    Constant Field Values

### CONTEXT_SESSION_KEY_ENC

    public static final java.lang.String CONTEXT_SESSION_KEY_ENC

  Integer value of the Session Key Encryption Algorithm

  See Also:
    Constant Field Values

### CONTEXT_SESSION_KEY_ENC_TYPE

    public static final java.lang.String CONTEXT_SESSION_KEY_ENC_TYPE

  The class type of the CONTEXT_SESSION_KEY_ENC. Must be an instance of int

  See Also:
    Constant Field Values

### CONTEXT_SUB_KEY_ENC

    public static final java.lang.String CONTEXT_SUB_KEY_ENC

  Integer value of the Sub Session Key Encryption Algorithm

  See Also:
    Constant Field Values

### CONTEXT_SUB_KEY_ENC_TYPE

    public static final java.lang.String CONTEXT_SUB_KEY_ENC_TYPE

  The class type of the CONTEXT_SUB_KEY_ENC. Must be an instance of int

  See Also:
    Constant Field Values

### CONTEXT_SUBJECT

    public static final java.lang.String CONTEXT_SUBJECT

  The Context's JAAS Subject

  See Also:
    Constant Field Values

### CONTEXT_SUBJECT_TYPE

    public static final java.lang.String CONTEXT_SUBJECT_TYPE

  The class type of the CONTEXT_SUBJECT. Must be an instance of javax.security.auth.Subject

  See Also:
    Constant Field Values

### CONTEXT_APREQ_TOKEN

    public static final java.lang.String CONTEXT_APREQ_TOKEN

  The byte array of the AP_REQ Token. Only if not wrapped.

  See Also:
    Constant Field Values

### CONTEXT_APREQ_TOKEN_TYPE

    public static final java.lang.String CONTEXT_APREQ_TOKEN_TYPE

  The class type of the CONTEXT_APREQ_TOKEN. Must be instance of byte[]

  See Also:
    Constant Field Values

### CONTEXT_GSS_TOKEN

    public static final java.lang.String CONTEXT_GSS_TOKEN

  The byte array of the GSS Token. Only if wrapped

  See Also:
    Constant Field Values

### CONTEXT_GSS_TOKEN_TYPE

    public static final java.lang.String CONTEXT_GSS_TOKEN_TYPE

  The class type of the CONTEXT_GSS_TOKEN. Must be instance of byte[]

  See Also:
    Constant Field Values

Constructor Detail

### KerberosTokenConfig

    public KerberosTokenConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD